/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details required to configure REST while updating a DB System.
 *
 */
export interface UpdateRestDetails {
    /**
     * Select how REST is configured across the DB System instances.
     */
    "configuration": model.RestConfigurationType;
    /**
     * The port for REST to listen on. Supported port numbers are 443 and from 1024 to 65535. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
}
export declare namespace UpdateRestDetails {
    function getJsonObj(obj: UpdateRestDetails): object;
    function getDeserializedJsonObj(obj: UpdateRestDetails): object;
}
