/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of NAT Rules used in the firewall policy.
 * A Nat Rule is used to define which traffic NAT should be applied by the firewall, and how it should do so.
 *
 */
export interface NatRuleSummary {
    /**
     * Name for the nat rule, must be unique within the policy.
     */
    "name": string;
    /**
     * Description of a NAT rule. This field can be used to add additional info.
     */
    "description"?: string;
    /**
     * The priority order in which this rule should be evaluated. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "priorityOrder": number;
    /**
     * OCID of the Network Firewall Policy this application belongs to.
     */
    "parentResourceId": string;
    "type": string;
}
export declare namespace NatRuleSummary {
    function getJsonObj(obj: NatRuleSummary): object;
    function getDeserializedJsonObj(obj: NatRuleSummary): object;
}
