/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A Nat Rule is used to define to which traffic NAT should be applied by the firewall.
 *
 */
export interface NatRule {
    /**
     * Name for the NAT rule, must be unique within the policy.
     */
    "name": string;
    /**
     * Description of a NAT rule. This field can be used to add additional info.
     */
    "description"?: string;
    /**
     * The priority order in which this rule should be evaluated Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "priorityOrder"?: number;
    "position"?: model.RulePosition;
    /**
     * OCID of the Network Firewall Policy this decryption profile belongs to.
     */
    "parentResourceId": string;
    "type": string;
}
export declare namespace NatRule {
    function getJsonObj(obj: NatRule): object;
    function getDeserializedJsonObj(obj: NatRule): object;
}
