/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.oracle.com/iaas/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Supported resources for actionable insights content type.
 **/
export declare enum ActionableInsightsContentTypesResource {
    NewHighs = "NEW_HIGHS",
    BigChanges = "BIG_CHANGES",
    CurrentInventory = "CURRENT_INVENTORY",
    InventoryChanges = "INVENTORY_CHANGES",
    FleetStatistics = "FLEET_STATISTICS",
    FleetAnalysisSummaryDbCount = "FLEET_ANALYSIS_SUMMARY_DB_COUNT",
    FleetAnalysisSummarySqlAnalyzedCount = "FLEET_ANALYSIS_SUMMARY_SQL_ANALYZED_COUNT",
    FleetAnalysisSummaryNewSqlCount = "FLEET_ANALYSIS_SUMMARY_NEW_SQL_COUNT",
    FleetAnalysisSummaryBusiestDb = "FLEET_ANALYSIS_SUMMARY_BUSIEST_DB",
    FleetAnalysisDegradingSqlCount = "FLEET_ANALYSIS_DEGRADING_SQL_COUNT",
    FleetAnalysisDegradingSqlByDb = "FLEET_ANALYSIS_DEGRADING_SQL_BY_DB",
    FleetAnalysisDegradingSqlBySqlId = "FLEET_ANALYSIS_DEGRADING_SQL_BY_SQL_ID",
    FleetAnalysisPlanChangesCount = "FLEET_ANALYSIS_PLAN_CHANGES_COUNT",
    FleetAnalysisPlanChangesDbMostChanges = "FLEET_ANALYSIS_PLAN_CHANGES_DB_MOST_CHANGES",
    FleetAnalysisPlanChangesBySqlIdImproved = "FLEET_ANALYSIS_PLAN_CHANGES_BY_SQL_ID_IMPROVED",
    FleetAnalysisPlanChangesBySqlIdDegraded = "FLEET_ANALYSIS_PLAN_CHANGES_BY_SQL_ID_DEGRADED",
    FleetAnalysisInvalidationStormsCount = "FLEET_ANALYSIS_INVALIDATION_STORMS_COUNT",
    FleetAnalysisInvalidationStormsHighest = "FLEET_ANALYSIS_INVALIDATION_STORMS_HIGHEST",
    FleetAnalysisCursorSharingIssuesCount = "FLEET_ANALYSIS_CURSOR_SHARING_ISSUES_COUNT",
    FleetAnalysisCursorSharingIssuesByDb = "FLEET_ANALYSIS_CURSOR_SHARING_ISSUES_BY_DB",
    FleetAnalysisCursorSharingIssuesBySql = "FLEET_ANALYSIS_CURSOR_SHARING_ISSUES_BY_SQL",
    PerformanceDegradationSummaryDbCount = "PERFORMANCE_DEGRADATION_SUMMARY_DB_COUNT",
    PerformanceDegradationSummarySqlAnalyzedCount = "PERFORMANCE_DEGRADATION_SUMMARY_SQL_ANALYZED_COUNT",
    PerformanceDegradationSummarySqlPerformanceTrendsCount = "PERFORMANCE_DEGRADATION_SUMMARY_SQL_PERFORMANCE_TRENDS_COUNT",
    PerformanceDegradationSummaryDegradedSqlCount = "PERFORMANCE_DEGRADATION_SUMMARY_DEGRADED_SQL_COUNT",
    PerformanceDegradationSummaryImprovedSqlCount = "PERFORMANCE_DEGRADATION_SUMMARY_IMPROVED_SQL_COUNT",
    PerformanceDegradationDbDegradedCount = "PERFORMANCE_DEGRADATION_DB_DEGRADED_COUNT",
    PerformanceDegradationSqlDegradedTable = "PERFORMANCE_DEGRADATION_SQL_DEGRADED_TABLE",
    PlanChangesSummaryDbCount = "PLAN_CHANGES_SUMMARY_DB_COUNT",
    PlanChangesSummarySqlAnalyzedCount = "PLAN_CHANGES_SUMMARY_SQL_ANALYZED_COUNT",
    PlanChangesSummaryPlanChangesCount = "PLAN_CHANGES_SUMMARY_PLAN_CHANGES_COUNT",
    PlanChangesSummaryImprovementsCount = "PLAN_CHANGES_SUMMARY_IMPROVEMENTS_COUNT",
    PlanChangesSummaryDegradationCount = "PLAN_CHANGES_SUMMARY_DEGRADATION_COUNT",
    PlanChangesTopPlanChangesTable = "PLAN_CHANGES_TOP_PLAN_CHANGES_TABLE",
    TopDbSummaryDbCount = "TOP_DB_SUMMARY_DB_COUNT",
    TopDbSummarySqlAnalyzedCount = "TOP_DB_SUMMARY_SQL_ANALYZED_COUNT",
    TopDbSummaryBusiestDb = "TOP_DB_SUMMARY_BUSIEST_DB",
    TopTable = "TOP_TABLE",
    CollectionDelayCount = "COLLECTION_DELAY_COUNT",
    CollectionDelayPreviousWeekCount = "COLLECTION_DELAY_PREVIOUS_WEEK_COUNT",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace ActionableInsightsContentTypesResource {
    function getJsonObj(obj: ActionableInsightsContentTypesResource): ActionableInsightsContentTypesResource;
    function getDeserializedJsonObj(obj: ActionableInsightsContentTypesResource): ActionableInsightsContentTypesResource;
}
