/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.oracle.com/iaas/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Configuration Summary of a External MySQL database.
 */
export interface ExternalMysqlDatabaseConfigurationSummary extends model.DatabaseConfigurationSummary {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the database.
     */
    "databaseId": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Management Agent
     */
    "agentId": string;
    /**
     * The DBM owned database connector [OCID](https://docs.oracle.com/iaas/database-management/doc/view-connector-details.html) mapping to the database credentials and connection details.
     */
    "databaseConnectorId": string;
    "entitySource": string;
}
export declare namespace ExternalMysqlDatabaseConfigurationSummary {
    function getJsonObj(obj: ExternalMysqlDatabaseConfigurationSummary, isParentJsonObj?: boolean): object;
    const entitySource = "EXTERNAL_MYSQL_DATABASE_SYSTEM";
    function getDeserializedJsonObj(obj: ExternalMysqlDatabaseConfigurationSummary, isParentJsonObj?: boolean): object;
}
