/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides summary information for a software source mirror.
 */
export interface MirrorSummary {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the software source.
     */
    "id": string;
    /**
     * Display name of the mirror.
     */
    "displayName"?: string;
    /**
     * Type of software source.
     */
    "type"?: model.MirrorType;
    /**
     * The OS family of the software source.
     */
    "osFamily"?: model.OsFamily;
    /**
     * The architecture type supported by the software source.
     */
    "archType"?: model.ArchType;
    /**
     * Current state of the software source mirror.
     */
    "state": model.MirrorState;
    /**
     * A decimal number representing the percentage of the software source that has been synced. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentage": number;
    /**
     * Time that the software source was last synced (in [RFC 3339](https://tools.ietf.org/rfc/rfc3339) format).
     *
     */
    "timeLastSynced": Date;
    /**
     * The current log from the management station plugin.
     */
    "log": string;
    /**
     * The number of packages within the mirrored software source. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "packageCount": number;
    /**
     * The size the mirrored software source in bytes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "size": number;
}
export declare namespace MirrorSummary {
    function getJsonObj(obj: MirrorSummary): object;
    function getDeserializedJsonObj(obj: MirrorSummary): object;
}
